Bug 242930 - multimedia/libopenshot: Update to 0.2.3.595
Summary: multimedia/libopenshot: Update to 0.2.3.595
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-28 02:13 UTC by Tatsuki Makino
Modified: 2020-01-07 22:57 UTC (History)
1 user (show)

See Also:
tatsuki_makino: maintainer-feedback+


Attachments
patch for multimedia/libopenshot (6.60 KB, patch)
2019-12-28 02:13 UTC, Tatsuki Makino
tatsuki_makino: maintainer-approval+
Details | Diff
poudriere log (171.43 KB, text/plain)
2019-12-28 02:18 UTC, Tatsuki Makino
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tatsuki Makino 2019-12-28 02:13:19 UTC
Created attachment 210270 [details]
patch for multimedia/libopenshot

Using recent commit.
ImageMagick option is Added. But it is not enabled by default to avoid conflicts (e.g. bug 242588).
Dependency on libomp.so will check the files present in base.
PKGMESSAGE is added.
Comment 1 Tatsuki Makino 2019-12-28 02:18:04 UTC
Created attachment 210271 [details]
poudriere log

Log with ImageMagick7 option turned on.

There are no problems if ImageMagick6 option is turned on or ImageMagick options are turned off.
Comment 2 Fernando Apesteguía freebsd_committer 2020-01-06 16:59:05 UTC
Thanks for the patch.

It builds fine and also multimedia/openshot builds fine, but when I try to run it, I get this:

fernape@beastie:~/FreeBSD-repos/ports/head/multimedia/openshot$ openshot-qt 
Loaded modules from installed directory: /usr/local/lib/python3.7/site-packages/openshot_qt
         app:INFO ------------------------------------------------
         app:INFO             Mon Jan  6 18:58:36 2020            
         app:INFO               Starting new session              
         app:INFO ------------------------------------------------
         app:INFO          OpenShot (version 2.4.4-dev2)          
         app:INFO ------------------------------------------------
         app:INFO openshot-qt version: 2.4.4-dev2
         app:INFO libopenshot version: 0.2.3-dev1
         app:INFO platform: FreeBSD-12.1-RELEASE-p1-amd64-64bit-ELF
         app:INFO processor: amd64
         app:INFO machine: amd64
         app:INFO python version: 3.7.6
         app:INFO qt5 version: 5.13.2
         app:INFO pyqt5 version: 5.13.1
      logger:ERROR Traceback (most recent call last):
      logger:ERROR   File "/usr/local/bin/openshot-qt", line 11, in <module>
      logger:ERROR load_entry_point('openshot-qt==2.4.4.dev2', 'gui_scripts', 'openshot-qt')()
      logger:ERROR   File "/usr/local/lib/python3.7/site-packages/openshot_qt/launch.py", line 96, in main
      logger:ERROR app = OpenShotApp(argv)
      logger:ERROR   File "/usr/local/lib/python3.7/site-packages/openshot_qt/classes/app.py", line 115, in __init__
      logger:ERROR from classes import exceptions
      logger:ERROR   File "/usr/local/lib/python3.7/site-packages/openshot_qt/classes/exceptions.py", line 30, in <module>
      logger:ERROR from classes.metrics import track_exception_stacktrace
      logger:ERROR   File "/usr/local/lib/python3.7/site-packages/openshot_qt/classes/metrics.py", line 30, in <module>
      logger:ERROR import requests
      logger:ERROR ModuleNotFoundError
      logger:ERROR :
      logger:ERROR No module named 'requests'
         app:INFO             OpenShot's session ended            
         app:INFO             Mon Jan  6 18:58:36 2020            
         app:INFO ================================================

I have the following installed:

fernape@beastie:~/FreeBSD-repos/ports/head/multimedia/openshot$ pkg info -x '.*openshot.*'
libopenshot-0.2.3.595
libopenshot-audio-0.1.8.100
openshot-2.4.4.443
Comment 3 Tatsuki Makino 2020-01-06 22:38:45 UTC
(In reply to Fernando Apesteguía from comment #2)

It seems to be a problem on multimedia/openshot side.
If py37-requests-[0-9]* does not exist when pkg info -d openshot is run, try reinstalling openshot.
Comment 4 Fernando Apesteguía freebsd_committer 2020-01-07 17:46:54 UTC
(In reply to Tatsuki Makino from comment #3)
Yes, the dependency is properly recorded in the pkg. Most likely I messed up my py37 installation...
Comment 5 commit-hook freebsd_committer 2020-01-07 17:48:10 UTC
A commit references this bug:

Author: fernape
Date: Tue Jan  7 17:47:20 UTC 2020
New revision: 522347
URL: https://svnweb.freebsd.org/changeset/ports/522347

Log:
  multimedia/libopenshot: update to 0.2.3.595

  PR:	242930
  Submitted by:	tatsuki_makino@hotmail.com (maintainer)

Changes:
  head/multimedia/libopenshot/Makefile
  head/multimedia/libopenshot/distinfo
  head/multimedia/libopenshot/files/patch-src_CMakeLists.txt
  head/multimedia/libopenshot/files/patch-src_FFmpegReader.cpp
  head/multimedia/libopenshot/files/patch-src_FFmpegWriter.cpp
  head/multimedia/libopenshot/pkg-message
Comment 6 Fernando Apesteguía freebsd_committer 2020-01-07 17:49:10 UTC
Committed,

Thanks!
Comment 7 Tatsuki Makino 2020-01-07 22:57:31 UTC
(In reply to Fernando Apesteguía from comment #4)

The 20191216 entry in /usr/ports/UPDATING is not enough to keep python 3.x environment clean, is it? :)

Thank you for committing.